Update rails to 3

sto migrando tutto a rails 3 … se è dura…

attualmente il responso è meglio rimanere alla 2.3.5 …
come fanno ogni volta a creare qualcosa di totalmente non
retro-compatibile…
cavolo non funzionano neanche + le find…

A mio parere, Rails 3 epiu o meno un altro progetto (highways o
canals, forse) che, per caso, condivide un po’ di codice con Rails
(2), ma non hai molte speranze di passare da Rails a Canals senza
molto dolore. Anche io lo sto vedendo in un progetto personale… e
poi e` un progetto abbastanza piccolo e semplice.

Inizio a credere che la strategia migliore sia migrare solo quando sei
a posto con l’idea di rescrivere grossi pezzi dell’applicazione.


David N. Welton

http://www.welton.it/davidw/

http://www.dedasys.com/

On Thu, Nov 18, 2010 at 10:52 AM, Alessandro S.
[email protected]wrote:

sto migrando tutto a rails 3 … se dura…

Shameless plug, ma Simone C. ha uno screencast sull’upgrade a
Rails 3
se pu interessare a qualcuno:

http://thinkcode.tv/catalog/upgrading-rails-3/

Ciao,
Antonio

Homepage: http://antoniocangiano.com
High-Quality Programming Screencasts: http://thinkcode.tv
Never miss a great book again: http://anynewbooks.com

Sono pienamente d’accordo a metà :slight_smile:

Ho letto un pò (non tutta) la documentazione su rails 3, speravo fosse
un pelo + indolore il passaggio ma pare proprio di no…

Volevo migrare una app su cui lavoro ormai da quasi 2 anni (svariate
decine di migliaia di righe di codice) ma faccio prima a riscriverla… e
chissà forse la versione 2.0 sarà in rails 3 (o addirittura 4 :P)!!

non mi sono ancora trovato a fare un porting da 2.3 a 3.0, comunque
puoi
vedere anche qualche [rails,ascii]cast

http://asciicasts.com/episodes/225-upgrading-to-rails-3-part-1
http://asciicasts.com/episodes/226-upgrading-to-rails-3-part-2
http://asciicasts.com/episodes/227-upgrading-to-rails-3-part-3
http://asciicasts.com/episodes/227-upgrading-to-rails-3-part-3

vero che sono cambiate molte cose, ma a mio parere ci sono anche
diverse
migliorie (una tra tutte Arel)

ciao,
A.

Il 18/11/2010 16:53, Alessandro S. ha scritto:

attualmente il responso meglio rimanere alla 2.3.5 …
come fanno ogni volta a creare qualcosa di totalmente non
retro-compatibile…
cavolo non funzionano neanche + le find…


http://twitter.com/apeacox